Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Eclipse Platform » dll and MFC and errors
icon5.gif  dll and MFC and errors [message #493677] Tue, 27 October 2009 14:39
pepito  is currently offline pepito Friend
Messages: 1
Registered: October 2009
Junior Member
Hi all, this forum help so much but now I have a question; I hope you could help me with this, I'm working with Eclipse since a few time...well:
1.- I have a lot of libraries dll, includes.h, and .cpp files. Where would I have to take this files?
I think dlls in src folder, the .h in the includes folder(this is ok I think) and the .cpp in the src folder too, ok?

2.- Then I try to build the project, but some .h files uses other .h that I doesn't have, here is

f:/sd/devel-tools/crosstool-win/bin/../lib/gcc/arm-none-linu x-gnueabi/3.4.4/include/stdafx.h:15:66: afxwin.h: No such file or directory
f:/sd/devel-tools/crosstool-win/bin/../lib/gcc/arm-none-linu x-gnueabi/3.4.4/include/stdafx.h:16:49: afxext.h: No such file or directory
f:/sd/devel-tools/crosstool-win/bin/../lib/gcc/arm-none-linu x-gnueabi/3.4.4/include/stdafx.h:17:98: afxdtctl.h: No such file or directory
f:/sd/devel-tools/crosstool-win/bin/../lib/gcc/arm-none-linu x-gnueabi/3.4.4/include/stdafx.h:19:78: afxcmn.h: No such file or directory

This .h are part of MFC but how can I install this or what can I do. I have searched in the mi PC and exist files, dir and dlls with mfc included in its name. Confused

3.- In cstring file Eclipse gives errors like:
f:/sd/devel-tools/crosstool-win/bin/../lib/gcc/arm-none-linu x-gnueabi/3.4.4/include/cstring:78: error: syntax error before '{' token

namespace std
{

f:/sd/devel-tools/crosstool-win/bin/../lib/gcc/arm-none-linu x-gnueabi/3.4.4/include/cstring:101: error: `const_cast' undeclared (first use in this function)

inline void*
memchr(void* __p, int __c, size_t __n)
{ return memchr(const_cast<const void*>(__p), __c, __n); }


Thanks in advance for your help
Previous Topic:.settings compatability between 3.4 and 3.5
Next Topic:Writing into other Plug-in Preferences?
Goto Forum:
  


Current Time: Mon Mar 08 12:41:09 GMT 2021

Powered by FUDForum. Page generated in 0.01857 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top